#!/bin/sh
# 
# off by gutemine Version 0.6
#
OFFNAME=off
OFFBIN=/usr/bin/off
LINE="--------------------------------------"
OFFSCRIPT="/usr/script/off.sh"
# possible wait values are 3 - 5 sec
OFFWAIT=5

case "$1" in
     stop)
	echo $LINE
	echo "[SCRIPT] $1: $OFFNAME"
        start-stop-daemon -K -q -x $OFFBIN  
	sleep 2
	killall -9  $OFFNAME 2>/dev/null
        echo $LINE
	;;
     restart | start)
        echo $LINE
	echo "[SCRIPT] $1: $OFFNAME"
        start-stop-daemon -K -q -x $OFFBIN 
	sleep 2
	killall -9  $OFFNAME 2>/dev/null
	sleep 2
        start-stop-daemon -S -b -x $OFFBIN $OFFWAIT
        echo $LINE
	;;
     info)
        echo $LINE
	echo "[SCRIPT] $1: $OFFNAME"
        echo $LINE
        if [ `ps | grep $OFFBIN | grep -v grep | grep -v $0 | wc -l` -gt 0 ]; then
           echo "$OFFNAME is running"
           echo $LINE
           ps ax | grep $OFFBIN | grep -v grep | grep -v $0
        else
           echo "$OFFNAME is not running"
        fi
        echo $LINE
        if [  -e /etc/rc3.d/S99off.sh ]; then
           echo "autostart of $OFFNAME is enabled"
           echo $LINE
        else
           echo "autostart of $OFFNAME is disabled"
           echo $LINE
        fi
	;;
     autostart | enable)
        echo $LINE
	echo "[SCRIPT] $1: $OFFNAME"
        echo $LINE
        ln -sfn $OFFSCRIPT /etc/rc3.d/S99off.sh
	;;
     noautostart | disable)
        echo $LINE
	echo "[SCRIPT] $1: $OFFNAME"
        echo $LINE
        rm /etc/rc3.d/S99off.sh > /dev/null 2>&1
	;;
     *)
	echo "Usage: $0 start|stop|restart|info|enable|disable"
	exit 1
	;;
esac

exit 0
